declare numfiles;
declare reg1;
declare tech_string;

function make_vhd_list() {
declare tmplst;
declare vhdfile;
declare reg2;
declare vhdfilelist, vhdlist, tmp2;

function fileiter( filename) {
    ++numfiles;
    fname := substring(filename,rindex(filename,'/')+1,0);
    if (null(vhdlist))
       vhdlist = cons( fname, nil );
    else
       vhdlist = cons( fname, vhdlist );
}
   numfiles = 0;
   vscript.vsLoop( work_dir + "/*.vhd", vscript.vsFILE, fileiter );
   tmp1 :=vscript.Sort( vhdlist,string_le );
   for (i:=0; i<numfiles; ++i) {
      tmp := cons(car(tmp1),i); 
      if (null(tmp2))
         tmp2=cons(tmp,nil); 
      else tmp2=cons(tmp, tmp2);
      tmp1= cdr( tmp1 );
   }
   vhdfilelist = reverse_destructive(tmp2);
   printf( "DONE vhdfilelist = %s\n", vhdfilelist );

   reg1 = vcRegion.Create( "My Pick", vcPicklist.fac,
                               vhdfilelist, 
                               will_scroll <- TRUE,
                               range       <- TRUE,
                               enhanced_notify <- TRUE,
                               exclusive   <- FALSE);
    reg2 = vcPicklist.Scroll( "vhdpick", reg1, 1,5,0);
    vcPicklist.Notify( reg2, vhdpickdata ); 
    return(reg2);
}

function vhdpickdata( val, on_off, index ) {
declare vhdfilestocompile,tmp;


    printf( "val = %d, index = %d\n", val, index );

    vhdfilestocompile = nil;
    tmpstring := "";

    for (tmpvallst := vcRegion.Get(reg1,vscmVT); !null(tmpvallst); tmpvallst = cdr(tmpvallst)) {

        tmp = car( vcPicklist.Get( reg1, car(tmpvallst),0));
        printf( "tmp = %s\n", tmp );
        printf( "tmpvallst = %s\n", tmpvallst );
        if (vhdfilestocompile != nil)
            vhdfilestocompile = cons(tmp, vhdfilestocompile);
        else
            vhdfilestocompile = cons(tmp, nil);
        printf("vhdfilestocompile = %s\n", vhdfilestocompile );
    }

    tmplist := copy_list( vhdfilestocompile );
    printf("tmplist = %s\n", tmplist );
    if (null( tmplist )) {
        tmpstring = car( vcPicklist.Get( reg1, index, 0) ); 
        vcCmdline.Set( tech_string, tmpstring);
    }
    else {
        tmpstring = "";
        for (i:=length(tmplist)-1; i>=0;--i)
            tmpstring = string_append( tmpstring, " ", list_ref( tmplist, i));
        printf("(b)tmpstring = %s\n", tmpstring );
        vcCmdline.Set( tech_string, tmpstring);
    }
}

function setAlu( choice ) {
   printf( "Inside 'setAlu', choice = '%s'\n", choice );
   if (choice == aluEnum.No)
       runAluCons = aluEnum.No;
   else 
       runAluCons =  aluEnum.Yes;
   printf( "Inside 'setAlu', runAluCons = '%s'\n", runAluCons );
}

function setSpeed( choice )
   aluSpeed = choice;


function _Create(name,region) {
   vcWin.Busy( vdes2_win, TRUE );

   tech_string = vcRegion.Create ("tech", vcCmdline.fac,"", 
                                max_width <- 10);
   path_string:= vcRegion.Create( "path",vcStaticText.fac, "Working Directory:   ");
   path_prompt:= vcRegion.Create( "path",vcStaticText.fac, work_dir );
   nullrow := vcRegion.Create ("", vcLabel.fac, "   ");
   aluLabel  := vcRegion.Create ("", vcStaticText.fac, "Run AluConstructor:");
   src_prompt:= vcRegion.Create ("", vcStaticText.fac, "VHDL Files:");
   runAlu := vcRegion.Create("",  vcPickEnum.fac, runAluCons );
   vcPickEnum.CallOnChange( runAlu, setAlu );
   
   speedLabel := vcRegion.Create( "fl12", vcStaticText.fac, "Speed" );
   speedSlider:= vcRegion.Create( "fl13", vcScalebar.fac, aluSpeed, increment <-1, max <-100, min<-1);
   vcScalebar.CallOnChangeFloat( speedSlider, setSpeed);

   table := vcTable.Make ("",8, 2);
   vcTable.Add(table,nullrow); vcTable.Add(table,nullrow);
   vcTable.Add(table,path_string); vcTable.Add(table,path_prompt);
   vcTable.Add(table,nullrow); vcTable.Add(table,nullrow);
   vcTable.Add(table,aluLabel); vcTable.Add(table,runAlu);
   vcTable.Add(table,speedLabel); vcTable.Add(table,speedSlider );
   vcTable.Add(table,nullrow); vcTable.Add(table,nullrow);
   vcTable.Add(table,src_prompt); vcTable.Add(table,make_vhd_list());
   vcTable.Add(table,nullrow); vcTable.Add(table,tech_string);

   vcRegion.AddChild( region, table);

   vcWin.Busy(vdes2_win, FALSE);
   table;
}

function _Get(table, region, ts) 
    vcRegion.Get(vcTable.Get(table, 7, 1),ts);
