declare new_package;
function create_package_list() {

        declare current_lib;
        declare namereg;

        function pack_is_picked( v, on_off ) {
             if( !string_eq(vsyn2.current_package, vsyn2.empty_package)
                && string_eq(v, vsyn2.empty_package)) {
                 vsyntest.SetByString( picklist_region, vsyn2.current_package );
                 error("package can not be reset to",v);
             }
             else {
                 new_package = v;
                 vcCmdline.Set( namereg, v ); 
             }
        }

        picklist_region := vcRegion.Create1("Exclusive Scroll", vcPicklist.fac,
                                       nil,
                                      list(columns <- 1));
        if( !fexists( vsyn2.spack_file ))
             error("technology is not in the database yet");
        namereg = vcRegion.Create ("name", vcCmdline.fac, vsyn2.current_package, width <- 10);

        fp := fopen( vsyn2.pack_file, "r");
        vcPicklist.Add(picklist_region, vsyn2.empty_package, vsyn2.empty_package  ); 
        while (!((line := fgetline (fp)) == nil)) {
          line_length := string_length (line);
          for (index := 0; index < line_length; ++index) {
              previous_index := 0;
              if (string_ref (line, index) == ' ') { /* if#1 */
                  token := substring (line, previous_index, index);
                  if( string_eq (token, "ERROR")) {
                      vcCmd.Enable( vsyn2.set_points_cmd, vlOnOff.Off);
                      vcWin.UpdateMenus (vdes2_win);
                      error("no library in database");}
                  if( string_eq (token, "LIBRARY" )) {
                      previous_index := index + 1;
                      current_lib = substring (line, previous_index,
                                                  line_length);
                  }
                  if( string_eq (token, "PACKAGE" )) {     /* if#2 */
                      previous_index := index + 1;
                      token := substring (line, previous_index, line_length);
                      vcPicklist.Add(picklist_region, token, token);
                  }
             }
         } /* end of line */
       } /* end of file */
        fclose( fp );
        pack_picklist := vcPicklist.Scroll("pack", picklist_region, 5, 2, 10
);
        vcPicklist.Notify(picklist_region, pack_is_picked);
        vsyntest.SetByString( picklist_region, vsyn2.current_package);
        table := vcTable.Make ("", 2, 1,
                           namereg, pack_picklist);
        return( table);
}
function _Create(name, region) {

    table := create_package_list();

    vcRegion.AddChild (region, table);
    table;
} /* function _Create */

function _Get(table, region, ts) vcRegion.Get(vcTable.Get (table, 0, 0),ts);

vlPref.Add (prefs, "filter", string, "", "*");

