/*
 *  $Revision: 1.7.4.1 $
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */


/*
 * Generic string-list editor
 */
strings := vcRegion.Create ("strings", vcListEdit.fac, nil,
                            rows <- 2,
                            cmd <- vcListEdit.Cmd (
    vcWv.Param ("String List", vlStringVT, vcWv.Sticky, "")));
vcListEdit.Add (strings, "PRELOADED STRING 1 (UPPER CASE)",
                case <- vcCmdlineCase.Upper);
vcListEdit.Add (strings, "Second preloaded string (read only)",
                read_only <- TRUE);
vcListEdit.Add (strings, "third preloaded string (editable)");


/*
 * Viewdraw search-order editor
 */
vcWv.MakeEnum ("RWStatusVT", list ("Read", "Write", "Mega"));

vdraw_srch_order :=
    vcRegion.Create ("vdraw_srch", vcListEdit.fac,
                     list (RWStatus.Write, "/home/josh/user/sort", "sort",
                           RWStatus.Read, "/import/wvlib/builtin", "builtin",
                           RWStatus.Read, "/import/wvlib/74ls", "74ls"),
                     rows <- 3,
                     cmd <- vcListEdit.Cmd (
    vcWv.Param ("Type", RWStatusVT, vcWv.Sticky, RWStatus.Read),
    vcWv.Param ("Directory", vlStringVT, vcWv.Sticky, "",
                vcFilePop.fac, file_columns <- 0, dir_columns <- 2),
    vcWv.Param ("Library", vlStringVT, vcWv.Sticky, "")));

vcWin.Create (vcTable.Make ("List Editor Demo", 2, 1,
                            strings,
                            vdraw_srch_order));
