/*
 *  $Revision: 1.15.5.1 $
 *
 *  Copyright (c) 1992,1993 by Viewlogic Systems, Inc.
 */

/*
 * Create a new facility for running the demo.  These facilities
 * are written completely in Viewscript.  Calling vcFac.Create below causes
 * the facility's Viewscript file to be loaded from the WDIR path.
 * The second argument, vscmVT, is the data type used by the facility
 * implementation to hold its local data.  vscmVT is the type of all
 * Viewscript objects.
 */
vcFac.Create ("demo", vscmVT);

/*
 * When rundemo.vs is invoked via "vload", the "vcWv.args" variable is set
 * to a list of all the command line arguments.
 */
/*
if (vcWv.args == nil)
    printf ("There were no arguments.\n");
else
    printf ("The arguments were: %s\n", args);
*/

/*
 * Create a region to hold our demonstration facility.
 * `data' is what gets passed into demo's _Create callback.
 */
data := nil;
demo_region := vcRegion.Create1 ("GUI Demo", demo.fac, data,
                                 list (macro_on <- TRUE));

/*
 * Create a window around the demo_region.
 */
demo_window := vcWin.Create (demo_region);
