entity testcbuf is
generic(
         IO_TUP: time := 100 NS; IO_TDN: time := 120 NS);
port(  IO: inout vlbit := 'X';
      EN, TN : in vlbit := 'X');
end testcbuf;

architecture structural of testcbuf is
   component CBUF
      generic ( O1_TUP, O1_TDN: time := 0 PS);
      port    ( O1: out vlbit := 'X';
                I1, I2: in vlbit := 'X');
   end component;
   -- IO connect pins 
begin
  testcbuf_8 : CBUF
     generic map (IO_TUP, IO_TDN)
     port    map ( IO, EN, TN);
end structural;
-- end module
-- cell desc Bidirectional Buffer 4mA         Input Buffer, CMOS, pull-up 
