/* $Header: /import/RCS/50RCS/./afe/vstate/RCS/symbols.h,v 1.1 93/11/03 12:33:45 dahan Stab $ */
/*
 *	file name   :	$Source  : /import/RCS/50RCS/./afe/vstate/RCS/symbols.h,v $
 *	file version:	$Revision: 1.1 $
 *
 *	purpose:	
 *
 *	author(s):	
 *	date started:	
 *	date changed:	$Date    : 93/11/03 12:33:45 $
 *	last change by:	$Author  : dahan $
 *
 *	(c) Copyright i-Logix Inc., 1991
 */
/* The symbol tables are using the 'types.h' definitions */

#define	private		static
#define	public
#define	hidden		static
#define true            1
#define false           0
#define ZNIL            0x0

typedef	void   (*funcp)();

typedef enum {el_event, el_condition, el_integer, el_real, el_string,
	      el_state, el_activity, el_timeout, el_schedule,
	      el_wait_for_ev, el_data_item, el_bit, el_bit_array,
	      el_bit_array_0, el_bit_array_1, el_action} el_enum;

/***** types for the dbg tables  *****/

   typedef struct {
     char* name ;
     /* more optional fields */
   } chart_entry ;
   extern chart_entry charts[];
   extern int charts_size /* size of the table */ ;

   typedef struct { 
     char* name ;
     char* synonym;
     short unique ; 
     short chart ;
     short father ;
     short first_son ;
     short next_brother ;
     activity* address ;
     boolean   has_control;
     boolean trace_needed ;  /* debugger */
     int last_started;       /* debugger */
     int last_stopped;       /* debugger */
   } activity_entry ;
   extern activity_entry activities[] ;
   extern int activities_size /* = sizeof(activities)/sizeof(activity_entry) */;


   typedef struct { 
     char* name ;
     char* synonym;
     short unique ; 
     char stype ; /* 'A' - and, 'O' - or */
     short chart ;
     short father ;
     short first_son ;
     short first_brother ;
     int state_id  ; /* the internal id of the state, from statemate */
     int last_entered;       /* for debugger use */
     int last_exited;        /* for debugger use */
     boolean trace_needed ;  /* debugger */
     int  state_status ;  /* debugger */
   } state_entry ;
   extern state_entry states [];
   extern int states_size ; /* = sizeof(states)/sizeof(struct state_entry); */
 


   typedef struct  {
     genptr address ;
     short index ;
   } index_entry ;
   extern index_entry index[] ;
   extern int indices_size; /* sizeof(index)/sizeof(struct index_entry) */


typedef enum { t_primitive, t_compound, t_timeout, t_scheduled } textual_enum;

 typedef struct  {
    char* name ;
    char* synonym;
    short chart ;
    el_enum dtype ; /* el_event, el_condition, el_integer,
		       el_real, el_string, el_bit,
		       el_bit_array, el_action */
    textual_enum  subtype;
    genptr        eval_func ; /* eval_func or el_addr  */

    char *expr ;          /* schedule and tm only */
    char *time_expr ;     /* schedule and tm only */

    boolean trace_needed ; /* debugger init = -1*/
    int last_change ;      /* debugger init = -1*/
    union {                /* debugger */
         int    ival;
	 char   bval;
         double dval;
         char   *sval;
    } latest_value ;         /* applicable only for compounds */
   } textual_entry ;

   extern textual_entry textuals [] ;

   extern int textuals_size ;





/*
 * $Log:	symbols.h,v $
 * Revision 1.1  93/11/03  12:33:45  dahan
 * Initial revision
 * 
 * Revision 1.4  92/03/03  06:51:00  smadar
 * *** empty log message ***
 * 
 * Revision 1.3  92/02/16  12:00:55  smadar
 * *** empty log message ***
 * 
 * Revision 1.2  92/02/11  14:37:26  smadar
 * First phase
 * 
 * Revision 1.1  92/01/19  14:51:55  smadar
 * Initial revision
 * 
 */
