/*
 *  $Revision: 1.22.5.1 $
 *
 *  Viewscript UI definition for the Core vcDialog facility.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

next_cmd := vcWv.Cmd (fac, next_arg_exit, "NextFieldAccept");
vcCmd.EnableMacro (next_cmd, FALSE);
vcBind.Set (bindings, '\enter', next_cmd);
vcBind.Set (bindings, '\e', vcWin.wclose);

/*
 * Enable the F1 key to do the same thing as the Help button, if
 * there is one.
 */
if (isbound (`do_help, vcDialog)) {
    tmp_cmd := vcWv.Cmd (fac, do_help);
    vcCmd.EnableMacro (tmp_cmd, FALSE);
    vcBind.Set (bindings, '\F1', tmp_cmd);
    vcBind.Set (bindings, '\help', tmp_cmd);
} /* if */
