

AltBindings := vcBind.Create ();

function do_start (adj, ev) {
    r := vcEvent.Region (ev);
    vcRegion.SetBindings (r, AltBindings);
    vcRegion.SetGrab (r, r);
    start (adj, ev);
}

function ungrab (r) {
    vcRegion.SetBindings (r, bindings);
    vcRegion.SetGrab (r, nil);
}

function do_done (adj, ev) {
    ungrab (vcEvent.Region (ev));
    done (adj, ev);
}
function do_cancel (adj, ev) {
    ungrab (vcEvent.Region (ev));
    cancel (adj, ev);
}

StartCmd := vcWv.Cmd (fac, do_start, "adjust");
MoveCmd := vcWv.Cmd (fac, move);
DoneCmd := vcWv.Cmd (fac, do_done, "done");
CancelCmd := vcWv.Cmd (fac, do_cancel, "cancel");

vcBind.Set (bindings, '\leftdown', StartCmd);
vcBind.Set (AltBindings, '\move', MoveCmd);
vcBind.Set (AltBindings, '\leftup', DoneCmd);
vcBind.Set (AltBindings, '\rightdown', CancelCmd);


