//
// This file creates a collection for the initial design
//

debug(TRUE);
design := getenv("WDESIGN");
if (null(design))
    design = "oatsch";
if (!isbound(`cntx, current_package()))
   cntx := vdm.CntxCreate(design);

class := vdm.CntxFindClass(cntx, "ViewDraw Design");
location := vpm.MapFindLocation(vdm.CntxGetMap(cntx), "this");
attr_list := nil;
coll := vdm.ObjCreate(design, 
                      vdm.VersLatest, 
                      class, location, cntx, attr_list);
// see /import/build/531_latest/wv/sun4/standard/vdrcolus.vs for
// controlling vdrawcol behavior.
vdm.CollCompose(coll);
// How do I create a checkpoint?
// see ~cag/build/latest/man/catn
vdm.ObjCheckpoint(coll, TRUE, // update
                        TRUE, // lock_on_modify
                        TRUE, // dry_run
                        "checkpoint before Check and Pack", // log_message
                        nil, // before_proc
                        after_proc,
                        current_package());



