(load "PcbCol" nil)
;;;
;;; pcb error file
;;;
(vdm|ClassCreate "pcb.err" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "pcb.err")
     `(Type             . ,vdmClassType|File))

;;;
;;; pcb net dictionary
;;;
(vdm|ClassCreate "NetDictionary" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "$NAME.ndc")
     `(Type             . ,vdmClassType|File))

;;;
;;; pcb function dictionary
;;;
(vdm|ClassCreate "FunctionDictionary" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "$NAME.fdc")
     `(Type             . ,vdmClassType|File))

;;;
;;; composite class for pcb dictionaries
;;;
(vdm|ClassCreate "PcbDictionaries" class_file
     `(AttrList          . ("NAME"))
     `(AttrFilter        . (".*"))
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate  . "PcbColl/DictFiles/$NAME.vcl")
     `(CollectionMembers . ("FunctionDictionary" "NetDictionary"))
     `(ComposeFunc       . ,PcbDictColComposeFunc)
     `(Type              . ,vdmClassType|Composite))

;;;
;;; ViewFloorplanner viewplace-style board file 
;;;
(vdm|ClassCreate "ViewPlaceBoard" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "brd/$NAME.brd")
     `(Type             . ,vdmClassType|File))

;;;
;;; ViewFloorplanner viewplace-style board symbol directory
;;;
(vdm|ClassCreate "ViewPlaceBoardSymbols" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "brd_sym")
     `(Type             . ,vdmClassType|Dir))

;;;
;;; ViewFlow History File
;;;
(vdm|ClassCreate "FlowHistory" class_file
     `(AttrList         . ("FLOW" "DESIGN"))
     `(AttrFilter       . (".*" ".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$FLOW.$DESIGN")
     `(PhysicalTemplate . "$NAME.flh")
     `(Type             . ,vdmClassType|File))

