find_and_load ("sae_help.vs", TRUE);
find_and_load ("sae_check.vs", TRUE);



/* viewlogic-defined standard atribute vectors follow */

sae_gen_comp_attr_vector := [
      ["DEVICE", "", "", "", sae_check_no_check, nil, adk_help_DEVICE, ""], 
      ["LEVEL", "", "", "", sae_check_no_check, nil, adk_help_LEVEL, ""],
      ["PARTS", "", "", "", sae_check_no_check, nil, adk_help_PARTS, ""],
      ["PINSWAP", "", "", "", sae_check_no_check, nil, adk_help_PINSWAP, ""], 
      ["PKG_TYPE", "", "", "", sae_check_no_check, nil, adk_help_PKG_TYPE, ""], 
      ["REFDES", "", "", "", sae_check_no_check, nil, adk_help_REFDES, ""]      
                    ];

sae_gen_comp_pin_attr_vector := [
      ["#", "", "", "", sae_check_no_check, nil, adk_help_PINNUMBER, ""], 
      ["PINTYPE", "", "", "", sae_check_no_check, nil, adk_help_PINTYPE, ""]
                    ];

sae_all_net_attr_vector := [
["BUS_NAME", "nubus", "", "", sae_check_no_check, nil, adk_help_BUS_NAME, ""], 
["DELAY_RULE", "example_rule", "", "", sae_check_no_check, nil, adk_help_DELAY_RULE, ""],
["DIFFERENTIAL_PAIR", "", "", "", sae_check_no_check, nil, adk_help_DIFFERENTIAL_PAIR, ""],
["DIFFP_2ND_LENGTH","", "", "", sae_check_no_check, nil, adk_help_DIFFP_2ND_LENGTH, ""],
["DIFFP_LENGTH_TOL","", "", "", sae_check_no_check, nil, adk_help_DIFFP_LENGTH_TOL, ""],
["DRIVER_TERM_VAL","", "", "", sae_check_no_check, nil, adk_help_DRIVER_TERM_VAL, ""],
["ECL", "", "", "", sae_check_no_check, nil, adk_help_ECL, "Boolean"],
["ECL_TEMP" , "", "", "", sae_check_no_check, nil, adk_help_ECL_TEMP, ""],
["ELECTRICAL_CONSTRAINT_SET", "", "", "", sae_check_no_check, nil, adk_help_ELECTRICAL_CONSTRAINT_SET, ""],

["EXTERNAL_NOISE", "", "", "", sae_check_no_check, nil, adk_help_EXTERNAL_NOISE, ""],
["FIXED", "", "", "", sae_check_no_check, nil, adk_help_FIXED, ""],
["LOAD_TERM_VAL", "", "", "", sae_check_no_check, nil, adk_help_LOAD_TERM_VAL, ""],
["MATCHED_DELAY", "", "", "", sae_check_no_check, nil, adk_help_MATCHED_DELAY, ""],
["MAX_BOND_LENGTH", "", "", "", sae_check_no_check, nil, adk_help_MAX_BOND_LENGTH, ""],
["MAX_BVIA_STAGGER", "", "", "", sae_check_no_check, nil, adk_help_MAX_BVIA_STAGGER, ""],
["MAX_EXT_NOISE", "", "", "", sae_check_no_check, nil, adk_help_MAX_EXT_NOISE, ""],
["MAX_FINAL_SETTLE", "", "", "", sae_check_no_check, nil, adk_help_MAX_FINAL_SETTLE, ""],
["MAX_FIRST_SWITCH", "", "", "", sae_check_no_check, nil, adk_help_MAX_FIRST_SWITCH, ""],
["MAX_OHM_LOSS", "", "", "", sae_check_no_check, nil, adk_help_MAX_OHM_LOSS, ""],
["MAX_OVERSHOOT", "", "", "", sae_check_no_check, nil, adk_help_MAX_OVERSHOOT, ""],
["MAX_PARALLEL", "", "", "", sae_check_no_check, nil, adk_help_MAX_PARALLEL, ""],
["MAX_PEAK_BXTALK", "", "", "", sae_check_no_check, nil, adk_help_MAX_PEAK_BXTALK, ""],
["MAX_PEAK_FXTALK", "", "", "", sae_check_no_check, nil, adk_help_MAX_PEAK_FXTALK, ""],
["MAX_PROP_DELAY", "", "", "", sae_check_no_check, nil, adk_help_MAX_PROP_DELAY, ""],
["MAX_SUM_BXTALK", "", "", "", sae_check_no_check, nil, adk_help_MAX_SUM_BXTALK, ""],
["MAX_SUM_FXTALK", "", "", "", sae_check_no_check, nil, adk_help_MAX_SUM_FXTALK, ""],
["MAX_THERM_SHIFT", "", "", "", sae_check_no_check, nil, adk_help_MAX_THERM_SHIFT, ""],
["MAX_UNDERSHOOT", "", "", "", sae_check_no_check, nil, adk_help_MAX_UNDERSHOOT, ""],
["MAX_VIA_COUNT", "", "", "", sae_check_no_check, nil, adk_help_MAX_VIA_COUNT, ""],



["MIN_BOND_LENGTH", "", "", "", sae_check_no_check, nil, adk_help_MIN_BOND_LENGTH, ""],
["MIN_BVIA_GAP", "", "", "", sae_check_no_check, nil, adk_help_MIN_BVIA_GAP, ""],
["MIN_BVIA_STAGGER", "", "", "", sae_check_no_check, nil, adk_help_MIN_BVIA_STAGGER, ""],
["MIN_LINE_WIDTH", "", "", "", sae_check_no_check, nil, adk_help_MIN_LINE_WIDTH, ""],
["MIN_NECK_WIDTH", "", "", "", sae_check_no_check, nil, adk_help_MIN_NECK_WIDTH, ""],
["MIN_NOISE_MARGIN", "", "", "", sae_check_no_check, nil, adk_help_MIN_NOISE_MARGIN, ""],
["MIN_PROP_DELAY", "", "", "", sae_check_no_check, nil, adk_help_MIN_PROP_DELAY, ""],

["NET_PHYSICAL_TYPE", "", "", "", sae_check_no_check, nil, adk_help_NET_PHYSICAL_TYPE, ""],
["NET_SPACING_TYPE", "", "", "", sae_check_no_check, nil, adk_help_NET_SPACING_TYPE, ""],

["NO_GLOSS", "", "", "", sae_check_no_check, nil, adk_help_NO_GLOSS, ""],
["NO_LIN2SHAPE_FAT", "", "", "", sae_check_no_check, nil, adk_help_NO_LIN2SHAPE_FAT, ""],
["NO_PIN_ESCAPE", "", "", "", sae_check_no_check, nil, adk_help_NO_PIN_ESCAPE, ""],
["NO_RAT", "", "", "", sae_check_no_check, nil, adk_help_NO_RAT, ""],
["NO_RIPUP", "", "", "", sae_check_no_check, nil, adk_help_NO_RIPUP, ""],
["NO_ROUTE", "", "", "", sae_check_no_check, nil, adk_help_NO_ROUTE, ""],
["NO_TEST", "", "", "", sae_check_no_check, nil, adk_help_NO_TEST, ""],

["PROBE_NUMBER", "", "", "", sae_check_no_check, nil, adk_help_PROBE_NUMBER, ""],
["RATSNEST_SCHEDULE", "", "", "", sae_check_no_check, nil, adk_help_RATSNEST_SCHEDULE, ""],
["ROUTE_PRIORITY", "", "", "", sae_check_no_check, nil, adk_help_ROUTE_PRIORITY, ""],
["ROUTE_TO_SHAPE", "", "", "", sae_check_no_check, nil, adk_help_ROUTE_TO_SHAPE, ""],
["SAME_NET", "", "", "", sae_check_no_check, nil, adk_help_SAME_NET, ""],
["STUB_LENGTH", "", "", "", sae_check_no_check, nil, adk_help_STUB_LENGTH, ""],
["TS_ALLOWED", "", "", "", sae_check_no_check, nil, adk_help_TS_ALLOWED, "Picklist", list(cons("PINS ONLY", "PINS ONLY"), cons("PINS & VIAS ONLY", "PINS & VIAS ONLY"), cons("ANYWHERE", "ANYWHERE"), cons("NO Ts ALLOWED", "NO Ts ALLOWED"))],
["VIA_LIST", "", "", "", sae_check_no_check, nil, adk_help_VIA_LIST, ""],
["WEIGHT","", "", "", sae_check_no_check, nil, adk_help_WEIGHT, "Scalebar", 0, 100, 11],

["XTALK_ACTIVE_TIME", "", "", "", sae_check_no_check, nil, adk_help_XTALK_ACTIVE_TIME, ""],
["XTALK_IGNORE_NETS", "", "", "", sae_check_no_check, nil, adk_help_XTALK_IGNORE_NETS, ""]
                    ];


sae_all_comp_attr_vector := [
["AUTO_RENAME", "", "", "", sae_check_no_check, nil, adk_help_AUTO_RENAME, "Boolean"],
["COMPONENT_WEIGHT", "", "", "", sae_check_no_check, nil, adk_help_COMPONENT_WEIGHT, "Scalebar", 0, 100, 11],
["CURRENT", "", "", "", sae_check_no_check, nil, adk_help_CURRENT, ""],

["C_TEMPERATURE", "", "", "", sae_check_no_check, nil, adk_help_C_TEMPERATURE, ""],
["DENSE_COMPONENT", "", "", "", sae_check_no_check, nil, adk_help_DENSE_COMPONENT, ""],
["DEPTH_STOP", "", "", "", sae_check_no_check, nil, adk_help_DEPTH_STOP, ""],
["DEVICE_LABEL", "", "", "", sae_check_no_check, nil, adk_help_DEVICE_LABEL, ""],
["FAILURE_RATE", "", "", "", sae_check_no_check, nil, adk_help_FAILURE_RATE, ""],
["FIX_ALL", "", "", "", sae_check_no_check, nil, adk_help_FIX_ALL, ""],
["GROUP", "", "", "", sae_check_no_check, nil, adk_help_GROUP, ""],

["HARD_LOCATION", "", "", "", sae_check_no_check, nil, adk_help_HARD_LOCATION, ""],
["HEAT_SINK_FACTOR", "", "", "", sae_check_no_check, nil, adk_help_HEAT_SINK_FACTOR, ""],
["HEIGHT", "", "", "", sae_check_no_check, nil, adk_help_HEIGHT, ""],
["INSERTION_CODE", "", "", "", sae_check_no_check, nil, adk_help_INSERTION_CODE, ""],
["J_TEMPERATURE", "", "", "", sae_check_no_check, nil, adk_help_J_TEMPERATURE, "Scalebar", 0, 200, 11],

["LOGICAL_PATH", "", "", "", sae_check_no_check, nil, adk_help_LOGICAL_PATH, ""],
["MAX_POWER_DISS", "", "", "", sae_check_no_check, nil, adk_help_MAX_POWER_DISS, ""],
["NO_MOVE", "", "", "", sae_check_no_check, nil, adk_help_NO_MOVE, ""],
["NO_PIN_ESCAPE", "", "", "", sae_check_no_check, nil, adk_help_NO_PIN_ESCAPE, ""],
["NO_ROUTE", "", "", "", sae_check_no_check, nil, adk_help_NO_ROUTE, ""],
["NO_SWAP_GATE", "", "", "", sae_check_no_check, nil, adk_help_NO_SWAP_GATE, ""],
["NO_SWAP_GATE_EXT", "", "", "", sae_check_no_check, nil, adk_help_NO_SWAP_GATE_EXT, ""],
["PIN_ESCAPE", "", "", "", sae_check_no_check, nil, adk_help_PIN_ESCAPE, ""],
["PLACE_TAG", "", "", "", sae_check_no_check, nil, adk_help_PLACE_TAG, ""],
["RATED_CURRENT", "", "", "", sae_check_no_check, nil, adk_help_RATED_CURRENT, ""],
["ROOM", "", "", "", sae_check_no_check, nil, adk_help_ROOM, ""],
["SIGNAL_MODEL", "", "", "", sae_check_no_check, nil, adk_help_SIGNAL_MODEL, ""],
["SLOTNAME", "", "", "", sae_check_no_check, nil, adk_help_SLOTNAME, ""],
["TH_CB_RES", "", "", "", sae_check_no_check, nil, adk_help_TH_CB_RES, ""],
["TH_GLUERES", "", "", "", sae_check_no_check, nil, adk_help_TH_GLUERES, ""],
["TH_JC_RES", "", "", "", sae_check_no_check, nil, adk_help_TH_JC_RES, ""],
["TH_QUALITY", "", "", "", sae_check_no_check, nil, adk_help_TH_QUALITY, ""],
["TMX_HEATSINK", "", "", "", sae_check_no_check, nil, adk_help_TMX_HEATSINK, ""],
["VIA_LIST", "", "", "", sae_check_no_check, nil, adk_help_VIA_LIST, ""],
["VOLTAGE", "", "", "", sae_check_no_check, nil, adk_help_VOLTAGE, ""],
["VOLT_TEMP_MODEL", "", "", "", sae_check_no_check, nil, adk_help_VOLT_TEMP_MODEL, ""]
]; 


sae_thermal_comp_attr_vector := [
["CURRENT", "", "", "", sae_check_no_check, nil, adk_help_CURRENT, ""],
["HEAT_SINK_FACTOR", "", "", "", sae_check_no_check, nil, adk_help_HEAT_SINK_FACTOR, ""],
["J_TEMPERATURE", "", "", "", sae_check_no_check, nil, adk_help_J_TEMPERATURE, "Scalebar", 0, 200, 11],
["MAX_POWER_DISS", "", "", "", sae_check_no_check, nil, adk_help_MAX_POWER_DISS, ""],
["TH_CB_RES", "", "", "", sae_check_no_check, nil, adk_help_TH_CB_RES, ""],
["TH_GLUERES", "", "", "", sae_check_no_check, nil, adk_help_TH_GLUERES, ""],
["TH_JC_RES", "", "", "", sae_check_no_check, nil, adk_help_TH_JC_RES, ""],
["TMX_HEATSINK", "", "", "", sae_check_no_check, nil, adk_help_TMX_HEATSINK, ""]
];


sae_reliability_comp_attr_vector := [
["CURRENT", "", "", "", sae_check_no_check, nil, adk_help_CURRENT, ""],
["FAILURE_RATE", "", "", "", sae_check_no_check, nil, adk_help_FAILURE_RATE, ""],
["RATED_CURRENT", "", "", "", sae_check_no_check, nil, adk_help_RATED_CURRENT, ""],
["TH_QUALITY", "", "", "", sae_check_no_check, nil, adk_help_TH_QUALITY, ""],
["VOLTAGE", "", "", "", sae_check_no_check, nil, adk_help_VOLTAGE, ""]
];






sae_standard_attr_categories := [
["General comp", sae_gen_comp_attr_vector, "Comp"],
["General comp_pin", sae_gen_comp_pin_attr_vector, "Comp_Pin"],
["Allegro net", sae_all_net_attr_vector, "Net"],
["Allegro comp", sae_all_comp_attr_vector, "Comp"],
["Thermal", sae_thermal_comp_attr_vector, "Comp"],
["Reliability", sae_reliability_comp_attr_vector, "Comp"]

                    ];


