


/* user specified attribute array 
   format:
vector_name := [
["attribute_name","value_sym", "value_inst", "value_oat", check_func, help_string, "entry_editor_type"],
["attribute_name","value_sym", "value_inst", "value_oat", check_func, help_string, "entry_editor_type"],
                    .
                    .
                    .
["attribute_name","value_sym", "value_inst", "value_oat", check_func, help_string, "entry_editor_type"]
                    ];
*/




user_net_attr_vector := [
["BUS_NAME", "", "", "", check_default, nil, adk_help_BUS_NAME, ""],
["TS_ALLOWED", "", "", "", check_default, nil, sae_help_no_help, "Picklist", list(cons("ON", "ON"), cons("OFF", "OFF"))]
                    ];


user_comp_attr_vector := [
["AUTO_RENAME", "", "", "", check_default, nil, adk_help_AUTO_RENAME, "Boolean"],
["CURRENT", "", "", "", check_default, nil, adk_help_CURRENT, ""],
["CURRENT", "", "", "", check_default, nil, adk_help_CURRENT, ""],
["J_TEMPERATURE", "", "", "", check_default, nil, adk_help_J_TEMPERATURE, "Scalebar", 0, 200, 11],
["RATED_POWER", "", "", "", check_default, nil, sae_help_no_help, ""],
["RATED_VOLTAGE", "", "", "", check_default, nil, sae_help_no_help, ""],
["TH_TECHNOLOGY", "", "", "", check_default, nil, sae_help_no_help, ""]
                    ];
















/* user specified attribute categories 
   format:
sae_attr_categories := [
                    ["entry_name", vector_name, object_type],
                    ["entry_name", vector_name, object_type],
                    .
                    .
                    .
                    ["entry_name", vector_name, object_type]
                    ];




*/



sae_attr_categories := [
["User net", user_net_attr_vector, "Net"],
["User comp", user_comp_attr_vector, "Comp"]
                    ];
