//// vdrcolus.vs - this is the user customization file for the ViewDraw 
////               collection builder 'vdrawcol'

//// to control the loading of the design by checking LEVEL attributes, use 
//// the 'AddLevel' function.  The example below would stop at "VHDL" or "STD" 
//
// AddLevel("VHDL"); AddLevel("STD"); 

//// you can get called for every schematic sheet in the collection.
//// this is how you would set that up.
//// See the "CallOnComp" example below for an example of how to access 
//// the attributes
//
// CallOnSchematic ( 
//   func ( alias, name, sheet, attrs )
//   {
//      /* code that does something real goes here */
//   }
// );

//// you can also get a callback for every symbol in the collection
//// See the "CallOnComp" example below for an example of how to access 
//// the attributes
//
// CallOnSymbol ( 
//   func ( alias, name, sheet, attrs )
//   {
//      /* code that does something real goes here */
//   }
// );

//// you can get a callback for every component in the design.
// CallOnComp( 
//   func (sch_alias, sch_name, sch_sheet, 
//         sym_alias, sym_name, sym_sheet, 
//         component, comp_attrs )
//   {

//     /* print the info passed in */
//     printf(
//       "(vdm|CntxCallOutputHandlers context \"%s:%s.%d %s %s:%s.%d\\n\")\n", 
//            sch_alias, sch_name, sch_sheet, component, 
//            sym_alias, sym_name, sym_sheet);

      /* print the attributes */
//     foreach (attr; vscript.list_iter(comp_attrs))
//       printf("(vdm|CntxCallOutputHandlers context \"%s = %s\\n\")\n",
//              car(attr), cdr(attr));

      /* print the REFDES for fun */
//     if (assoc(`REFDES, comp_attrs))
//       printf("(vdm|CntxCallOutputHandlers context \"REFDES = %s\\n\")\n",
//              cdr(assoc(`REFDES, comp_attrs)));

      /* example of how to include an object "OBJ" of class "CLASS" 
      ** from location "LOCATION".  Class "CLASS" requires an attribute
      ** called "ATTR" whose value in this imaginary case is "VALUE".
      */

//    context := vdm.CntxCreate("foo");// NOTE: this really needs to be
                                       //       done only once, NOT once for 
                                       //       each Comp! Move this line
                                       //       out of this func for 
                                       //       efficiency.
//    class := vdm.CntxFindClass(context, "CLASS");
//    obj := vdm.ObjCreate("OBJ", vdm.VersLatest, class, 
//                         location, context, list(cons(`ATTR, "VALUE")));
//    if (vdm.ObjFind(obj, "LOCATION", nil))
//    {
//      IncludeObject(obj);
//    }
//  }
// );


