function vlibDrcUserInit(drc) {

    function CompNameInit() {
        vlPref.Replace(vlib.DrcPrefs(drc), "RunComponentName", 
                       vlYesNoVT, "Run Component Name test", vlYesNo.No);
        e := vlib.DrcErrorCreate(drc, "CompName", 0, vlErrSev.Warning, 
                                 "Print name of component");
        function print_compname(drc, comp) {
            doit := vlPref.Val(vlib.DrcPrefs(drc), "RunComponentName");
            if (doit) 
                vlib.DrcReport(drc, e, comp, vlibDrcObjType.Comp, 
                               "Component name is " + vllm.CompGetName(comp));
        }
        vlib.DrcAddObjTest(drc, vlibDrcObjType.Comp, print_compname);
    }
    
    CompNameInit();
}



