
vcCmd.SetHelp (s_run,		"Simulate patterns, clocking each pattern");
vcCmd.SetHelp (s_sim,		"Simulate for (stepsize) time units");
vcCmd.SetHelp (s_cycle,		"Simulate the next clock cycle");
vcCmd.SetHelp (s_continue,	"Continue after breakpoint or interrupt");
vcCmd.SetHelp (s_restart,	"Reinitialize simulation time to 0");
vcCmd.SetHelp (s_activate,	"Execute selected process next");
vcCmd.SetHelp (s_sstep,		"Simulate the next single step");
vcCmd.SetHelp (s_sphase,	"Simulate the next single phase");
vcCmd.SetHelp (s_sprocess,	"Simulate the next single process");
vcCmd.SetHelp (s_sdelta,	"Simulate the next single delta");
vcCmd.SetHelp (s_send,		"Simulate until the end of the subroutine");
vcCmd.SetHelp (s_snext,		"Simulate until the next VHDL sequential statement");
vcCmd.SetHelp (s_sover,		"Step over a subroutine call");
vcCmd.SetHelp (s_bline,		"Set a breakpoint at a selected line in VHDL source");
vcCmd.SetHelp (s_bsubp,		"Set a breakpoint at the start of selected subprocess");
vcCmd.SetHelp (s_bsignal,	"Set a breakpoint when selected signal changes");
vcCmd.SetHelp (s_bprocess,	"Set a breakpoint at the activation of  the selected process");
vcCmd.SetHelp (s_bdelete,	"Delete selected breakpoint (by number)");
vcCmd.SetHelp (s_bshow,		"Show all breakpoints");
vcCmd.SetHelp (s_d,		"Print values of selected nodes");
vcCmd.SetHelp (s_d_sch,		"Display values of selected nodes on Schematics if it is open");

vcCmd.SetHelp (s_d_all,		"Print values of all nodes");
vcCmd.SetHelp (s_d_all_sch,	"Display values of all nodes on Schematics if it is open");

vcCmd.SetHelp (s_set_brkpnt_line,		"Set a breakpoint at a line in VHDL source");

vcCmd.SetHelp (s_set_brkpnt_process,	"Set a breakpoint at the activation of  the process");

vcCmd.SetHelp (s_set_brkpnt_subprogram,		"Set a breakpoint at the start of subprogram");

vcCmd.SetHelp (s_set_brkpnt_signal,	"Set a breakpoint on signal change");

vcCmd.SetHelp (s_delete_brkpnt,	"Delete breakpoint (by number)");



vcCmd.SetHelp (s_dsource,	"Display source for process/subprogram/file in Simulation window");
vcCmd.SetHelp (s_devents,	"Display scheduled events for selected signal or for all signals if signals are not selected");
vcCmd.SetHelp (s_dactives,	"Display active processes");
vcCmd.SetHelp (s_display,	"Print the watch list");
vcCmd.SetHelp (s_path,		"Print critical path for last transition of a node");
vcCmd.SetHelp (s_stats,		"Print interesting run time statistics");
vcCmd.SetHelp (s_info,		"Print connections to a node");
vcCmd.SetHelp (s_stepsize,	"Print the current stepsize");
vcCmd.SetHelp (s_delay,		"Print the current delay scaling");
vcCmd.SetHelp (s_time,		"Print the current simulation time");
vcCmd.SetHelp (s_defaults,	"Print the current default settings");
vcCmd.SetHelp (s_report,	"Print the current report settings");
vcCmd.SetHelp (s_l,		"Set selected nodes low");
vcCmd.SetHelp (s_h,		"Set selected nodes high");
vcCmd.SetHelp (s_x,		"Set selected nodes to unknown");
vcCmd.SetHelp (s_assign,	"Set selected nodes to specified value");
vcCmd.SetHelp (s_r,		"Release selected nodes");
vcCmd.SetHelp (s_oqueue,	"Open event queue window");
vcCmd.SetHelp (s_omonitor,	"Open monitor window");
vcCmd.SetHelp (nav_cmd,		"Open list browser window");
vcCmd.SetHelp (s_oanalyzer,	"Open analyzer window");
vcCmd.SetHelp (s_wave,		"Setup a wave stream for Viewtrace");
vcCmd.SetHelp (s_setwfm,	"Setup a stimulus waveform");
vcCmd.SetHelp (s_trace,		"Trace nodes in output log");
vcCmd.SetHelp (s_monitor,	"Monitor nodes in monitor window");
vcCmd.SetHelp (s_monitor_sch,	"Monitor nodes in schematics window");

vcCmd.SetHelp (s_mnunet,	"Load a VSM file");
vcCmd.SetHelp (s_cmd,		"Execute a command file");
vcCmd.SetHelp (s_log,		"Execute a log file");
vcCmd.SetHelp (s_type,		"Print a file to the output log");
vcCmd.SetHelp (s_dtrace,	"Delete nodes from trace list");
vcCmd.SetHelp (s_dtrace_all,	"Delete all nodes from trace list");
vcCmd.SetHelp (s_brkpnt,	"Delete breakpoints");
vcCmd.SetHelp (s_brkpnt_all,	"Delete all breakpoints");
vcCmd.SetHelp (s_set_brkpnt,	"Setup a breakpoint for signal");
vcCmd.SetHelp (s_ck,		"Delete a clock statement");
vcCmd.SetHelp (s_ck_all,	"Delete all clock statements");
vcCmd.SetHelp (s_reporttiming,		"Enable reporting of timing checks");
vcCmd.SetHelp (s_report_timing,		"Disable reporting of timing checks");
vcCmd.SetHelp (s_reportstability,	"Enable reporting of stability");
vcCmd.SetHelp (s_report_stability,	"Disable reporting of stability");
vcCmd.SetHelp (s_reportspikes,		"Enable reporting of spikes");
vcCmd.SetHelp (s_report_spikes,		"Disable reporting of spikes");
vcCmd.SetHelp (s_reportall,		"Enable all reports");
vcCmd.SetHelp (s_report_all,		"Disable all reports");
vcCmd.SetHelp (s_defaultbignet,		"Save all nets and modules in a file");
vcCmd.SetHelp (s_default_bignet,	"Save all nets and modules in memory");
vcCmd.SetHelp (s_defaultcmdfile,	"Enable echo of command file contents");
vcCmd.SetHelp (s_default_cmdfile,	"Disable echo of command file contents");
vcCmd.SetHelp (s_defaultwatch,		"Display watchlist after sim commands");
vcCmd.SetHelp (s_default_watch,		"Do not display watchlist after commands");
vcCmd.SetHelp (s_defaulttime,		"Display simulation time after commands");
vcCmd.SetHelp (s_default_time,		"Do not display simulation time");
vcCmd.SetHelp (s_mindelay,		"Use minimum timing values");
vcCmd.SetHelp (s_maxdelay,		"Use maximum timing values");
vcCmd.SetHelp (s_typdelay,		"Use typical timing values");
vcCmd.SetHelp (s_transportdelay,	"Use transport delay");
vcCmd.SetHelp (s_inertialdelay,		"Use inertial delay");
vcCmd.SetHelp (s_fixedvaldelay,		"Use fixed delay values");
vcCmd.SetHelp (s_scaledelay,		"Use scaled delay values");
vcCmd.SetHelp (s_v,		"Create a vector from selected nodes");
vcCmd.SetHelp (s_setpat,	"Create an input stimulus pattern");
vcCmd.SetHelp (s_clock,		"Create a clock stimulus pattern");
vcCmd.SetHelp (s_step,		"Set the simulation step size");
vcCmd.SetHelp (s_radix,		"Set the display radix for a node or vector");
vcCmd.SetHelp (s_w,		"Add selected nodes to the watch list");
vcCmd.SetHelp (s_t,		"Add selected nodes to the trace list");
vcCmd.SetHelp (s_print,		"Change the name of the output log file");
vcCmd.SetHelp (s_logfile,	"Print log file");
vcCmd.SetHelp (s_watch,		"Delete selected nodes from watch list");
vcCmd.SetHelp (s_watch_all,	"Delete all nodes from watch list");
vcCmd.SetHelp (s_wfm,		"Delete selected nodes from waveform list");
vcCmd.SetHelp (s_wfm_all,	"Delete all nodes from waveform list");
vcCmd.SetHelp (s_pat,		"Delete selected nodes from pattern");
vcCmd.SetHelp (s_pattern,	"Delete all nodes from pattern");

