declare numdirs;
declare reg1;
declare tech_string;

function make_dir_list()
   {
   declare tmplst;
   declare reg2;
   declare dirlist, tmp2;

   function diriter( dirname)
      {
      ++numdirs;
      dirname = substring( dirname, rindex( dirname, '/' ) + 1, 0 );
      dirlist = cons( dirname, dirlist );
      }

   numdirs = 0;
   vscript.vsLoop( primary_path + "/*", vscript.vsDIR, diriter );
   tmp1 :=vscript.Sort( dirlist,string_le );
   for (i:=0; i<numdirs; ++i)
      {
      tmp := cons(car(tmp1),i); 
      tmp2 = cons(tmp, tmp2);
      tmp1 = cdr( tmp1 );
      }
   dirlist = reverse_destructive(tmp2);

   reg1 = vcRegion.Create( "My Pick", vcPicklist.fac,
                               dirlist, 
                               will_scroll <- TRUE,
                               range       <- TRUE,
                               enhanced_notify <- TRUE,
                               exclusive   <- TRUE );
    reg2 = vcPicklist.Scroll( "dirpick", reg1, 1,5,0);
    vcPicklist.Notify( reg2, dirpickdata ); 
    return(reg2);
    }                 /* end function MAKE_DIR_LIST */


function dirpickdata( val, on_off, index )
   {
   declare dirname;

   dirname = car( vcPicklist.Get( reg1, vcRegion.Get(reg1,vscmVT),0));
   vcCmdline.Set( tech_string, primary_path + "/" + dirname );
   }



function _Create(name,region)
   {
   function Label(text) vcRegion.Create(text, vcStaticText.fac, text);

   vcWin.Busy( vdes2_win, TRUE );

   tech_string = vcRegion.Create ("tech",vcCmdline.fac, name, max_width <- 10);

   table := vcTable.Make ("",3,2);
   vcTable.Set(table, 0,0, Label("Project Directory:") );
   vcTable.Set(table, 0,1, Label(primary_path)         );

   vcTable.Set(table, 1,0, Label("Subdirectories:")    );
   vcTable.Set(table, 1,1, make_dir_list()             );

   vcTable.Set(table, 2,0, Label("Working Directory:") );
   vcTable.Set(table, 2,1, tech_string                 );
   vcRegion.AddChild( region, table);

   vcWin.Busy(vdes2_win, FALSE);
   table;
   }

function _Get(table, region, ts) vcRegion.Get(tech_string, ts);
