declare numfiles;
declare reg1;
declare tech_string;

function make_vhd_list() {
declare tmplst;
declare vhdfile;
declare reg2;
declare vhdfilelist;

    numfiles = 0;
    foreach( file; vscript.TraverseDir( "*.vhd", vscript.vsFILE)) {
        vhdfile = substring( file, rindex( file, '/') + 1, 0);
        tmplst      = cons(vhdfile, numfiles);
        if (numfiles == 0)
            vhdfilelist = cons(tmplst, nil);
        else
            vhdfilelist = cons(tmplst, vhdfilelist);
        numfiles = numfiles + 1;
    }
    reg1 = vcRegion.Create( "My Pick", vcPicklist.fac,
                               vhdfilelist, 
                               will_scroll <- TRUE,
                               range       <- TRUE,
                               enhanced_notify <- TRUE,
                               exclusive   <- FALSE);
    reg2 = vcPicklist.Scroll( "vhdpick", reg1, 1,5,0);
    vcPicklist.Notify( reg2, vhdpickdata ); 
    return(reg2);
}

function vhdpickdata( val, on_off, index ) {
declare vhdfilestocompile;

    vhdfilestocompile = nil;
    tmpstring := "";

    for (tmpvallst := vcRegion.Get(reg1,vscmVT); !null(tmpvallst); tmpvallst = cdr(tmpvallst)) {
        tmp := car(vcPicklist.Get( reg1, (numfiles-1-car(tmpvallst)),0));
        if (vhdfilestocompile != nil)
            vhdfilestocompile = cons(tmp, vhdfilestocompile);
        else
            vhdfilestocompile = cons(tmp, nil);
    }

    tmplist := copy_list( vhdfilestocompile );
    if (null( tmplist )) {
        tmpstring = car( vcPicklist.Get( reg1, index, 0) ); 
        vcCmdline.Set( tech_string, tmpstring);
    }
    else {
        for(; !null(tmplist); tmplist=cdr(tmplist)) 
            tmpstring = string_append( tmpstring, " ", car(tmplist));
        vcCmdline.Set( tech_string, tmpstring);
    }
}


function _Create(name,region) {
declare table;

    function callmaketable()
        table = vcTable.Make ("", 2, 1, tech_string, make_vhd_list() );


    tech_string = vcRegion.Create ("tech", vcCmdline.fac,"", 
                                max_width <- 10);

    vcWin.WithBusy( vdes2_win, callmaketable );

    vcRegion.AddChild( region, table);
    table;
}

function _Get(table, region, ts) 
    vcRegion.Get(vcTable.Get(table, 0, 0),ts);
