/*
 *  $Revision: 1.3.7.1 $
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

/*
 * This is a version of rundemo.vs that is for the PC only.  The path
 * and path delimiters have been changed.
 */
/*
 * Create a new facility for running the demo.  Thuis facilities
 * are written completely in Viewscript.  Calling vcFac.Create below causes
 * the facility's Viewscript file to be loaded from the WDIR path.
 * The second argument, vscmVT, is the data type used by the facility
 * implementation to hold its local data.  vscmVT is the type of all
 * Viewscript objects.
 */
vcFac.Create ("demo", vscmVT);

/*
 * When pcdemo.vs is invoked via "vload", the "args" variable is set
 * to a list of all the command line arguments.  If there were no arguments
 * passed in, we set the directory path to an appropriate default.  Otherwise,
 * we take the first argument and ensure that it ends with a slash, and
 * assume that that is our path.
 */
if (args == nil)
    path := "p:\\wv\\demo\\";
else {
    path := car (args);
    if (!string_eq (substring (path, -1, 0), "\\"))
        path = path + "\\";
} /* else */

/*
 * Create a region to hold our demonstration facility.  The path
 * is sent in as an argument to the generic vcRegion.Create1 call.
 */
demo_region := vcRegion.Create1 ("5.0", demo.fac, path, nil);

/*
 * Create a window around the demo_region.
 */
demo_window := vcWin.Create (demo_region, 3);
