/*
 *  $Revision: 1.7.7.1 $
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

/*
 * This demo creates a scale widget that goes from 10-100 by .5.  It then
 * places that in a scalebar where the value is visible, and there are
 * controls for warping to the minimum and maximum values.  That scalebar is
 * placed in a window.
 */

scale := vcRegion.Create ("scale", vcScalebar.fac,
                          convert (vlPositiveIntVT, 50),
                          increment <- .5, min <- 10,
                          max <- 100, macro_on <- TRUE);

scale2 := vcRegion.Create ("scale2", vcScalebar.fac,
                           convert (vlPositiveIntVT, 50),
                           increment <- .5, min <- 10,
                           max <- 100, macro_on <- TRUE,
                           read_only <- TRUE);

vcWin.Create (vcTable.Make ("Scalebars", 2, 1, scale, scale2),
              vcWin.NoStatus + vcWin.NoCmdline + vcWin.NoMenus);
